com.h3c.keystone

## Interface KeystoneConfigurationConstants

-     public interface KeystoneConfigurationConstants

  Various constants for use in coding authentication information in request header and for configuration purposes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADMIN_TOKEN` Keystone admin token for use in vanilla Keystone
    `static String` | `CACHE_IDLE` Time to live for a token from its last accessed or modified date in seconds
    `static String` | `CACHE_MAX` Maximum number of cached tokens
    `static String` | `CACHE_TTL` Time to live for a token from its creation date in seconds
    `static String` | `CONN_POOL_EVICT_PERIOD` How long the eviction thread should sleep before "runs" of examining idle objects.
    `static String` | `CONN_POOL_MAX_ACTIVE` Maximum number of objects that can be allocated by the pool (checked out to clients, or idle awaiting checkout) at a given time.
    `static String` | `CONN_POOL_MAX_IDLE` Maximum number of objects that can sit idle in the pool at any time.
    `static String` | `CONN_POOL_MIN_IDLE_TIME` Minimum amount of time that an object may sit idle in the pool before it is eligible for eviction due to idle time.
    `static String` | `CONN_SSL_CLIENT_AUTH` 2-way SSL initialization parameter: True or False
    `static String` | `CONN_TIMEOUT` connection timeout initialization parameter
    `static String` | `CONTENT_TYPE` Content type header.
    `static String` | `KEYSTORE` SSL keystore initialization parameter
    `static String` | `KEYSTORE_PASS` SSL keystore password initialization parameter
    `static String` | `SERVER_PORT` Auth server port: 35357 for HTTP.
    `static String` | `SERVER_VIP` Auth server initialization parameter
    `static String` | `TOKEN` Credential (token) header
    `static String` | `TRUSTSTORE` SSL truststore initialization parameter
    `static String` | `TRUSTSTORE_PASS` SSL truststore password initialization parameter

- - ### Field Detail

    - #### TOKEN

          static final String TOKEN

      Credential (token) header
      See Also:
        Constant Field Values

    - #### ADMIN_TOKEN

          static final String ADMIN_TOKEN

      Keystone admin token for use in vanilla Keystone
      See Also:
        Constant Field Values

    - #### CONTENT_TYPE

          static final String CONTENT_TYPE

      Content type header.
      See Also:
        Constant Field Values

    - #### CACHE_MAX

          static final String CACHE_MAX

      Maximum number of cached tokens
      See Also:
        Constant Field Values

    - #### CACHE_TTL

          static final String CACHE_TTL

      Time to live for a token from its creation date in seconds
      See Also:
        Constant Field Values

    - #### CACHE_IDLE

          static final String CACHE_IDLE

      Time to live for a token from its last accessed or modified date in seconds
      See Also:
        Constant Field Values

    - #### SERVER_VIP

          static final String SERVER_VIP

      Auth server initialization parameter
      See Also:
        Constant Field Values

    - #### SERVER_PORT

          static final String SERVER_PORT

      Auth server port: 35357 for HTTP.
      See Also:
        Constant Field Values

    - #### CONN_TIMEOUT

          static final String CONN_TIMEOUT

      connection timeout initialization parameter
      See Also:
        Constant Field Values

    - #### CONN_SSL_CLIENT_AUTH

          static final String CONN_SSL_CLIENT_AUTH

      2-way SSL initialization parameter: True or False
      See Also:
        Constant Field Values

    - #### KEYSTORE

          static final String KEYSTORE

      SSL keystore initialization parameter
      See Also:
        Constant Field Values

    - #### KEYSTORE_PASS

          static final String KEYSTORE_PASS

      SSL keystore password initialization parameter
      See Also:
        Constant Field Values

    - #### TRUSTSTORE

          static final String TRUSTSTORE

      SSL truststore initialization parameter
      See Also:
        Constant Field Values

    - #### TRUSTSTORE_PASS

          static final String TRUSTSTORE_PASS

      SSL truststore password initialization parameter
      See Also:
        Constant Field Values

    - #### CONN_POOL_MAX_ACTIVE

          static final String CONN_POOL_MAX_ACTIVE

      Maximum number of objects that can be allocated by the pool (checked out to clients, or idle awaiting checkout) at a given time. When non-positive, there is no limit to the number of objects that can be managed by the pool at one time. When maxActive is reached, the pool is said to be exhausted. The default setting for this parameter is 8.
      See Also:
        Constant Field Values

    - #### CONN_POOL_MAX_IDLE

          static final String CONN_POOL_MAX_IDLE

      Maximum number of objects that can sit idle in the pool at any time. When negative, there is no limit to the number of objects that may be idle at one time. The default setting for this parameter is 8.
      See Also:
        Constant Field Values

    - #### CONN_POOL_EVICT_PERIOD

          static final String CONN_POOL_EVICT_PERIOD

      How long the eviction thread should sleep before "runs" of examining idle objects. When non-positive, no eviction thread will be launched. The default setting for this parameter is -1 (i.e., idle object eviction is disabled by default).
      See Also:
        Constant Field Values

    - #### CONN_POOL_MIN_IDLE_TIME

          static final String CONN_POOL_MIN_IDLE_TIME

      Minimum amount of time that an object may sit idle in the pool before it is eligible for eviction due to idle time. When non-positive, no object will be dropped from the pool due to idle time alone. This setting has no effect unless ConnPoolEvictPeriod > 0. The default setting for this parameter is 30 minutes.
      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.